linux-euclid 4.4.0-9029.31 source package in Ubuntu

Changelog

linux-euclid (4.4.0-9029.31) xenial; urgency=medium

  * linux-euclid: 4.4.0-9029.31 -proposed tracker (LP: #1799407)

  * CVE-2018-5390
    - tcp: avoid collapses in tcp_prune_queue() if possible
    - tcp: detect malicious patterns in tcp_collapse_ofo_queue()

  * CVE-2018-5391
    - Revert "net: increase fragment memory usage limits"

  * CVE-2018-14634
    - fs/exec.c: account for argv/envp pointers
    - exec: Limit arg stack to at most 75% of _STK_LIM

  * CVE-2017-6074
    - dccp: fix freeing skb too early for IPV6_RECVPKTINFO

  * CVE-2017-18344
    - posix-timer: Properly check sigevent->sigev_notify

 -- Stefan Bader <email address hidden>  Fri, 10 Aug 2018 15:50:05 +0200

Upload details

Uploaded by:
Stefan Bader on 2018-10-30
Uploaded to:
Xenial
Original maintainer:
Ubuntu Kernel Team
Architectures:
amd64
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Xenial security on 2018-11-13 universe devel
Xenial updates on 2018-11-13 universe devel

Builds

Xenial: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
linux-euclid_4.4.0.orig.tar.gz 126.7 MiB 730e75919b5d30a9bc934ccb300eaedfdf44994ca9ee1d07a46901c46c221357
linux-euclid_4.4.0-9029.31.diff.gz 15.4 MiB a518fa4fb8026aa2ea4e4dabaaf426dd56447d6b2094802eb2bfed33bcc45ed7
linux-euclid_4.4.0-9029.31.dsc 3.4 KiB e3c8baa7679f3c5c7df8614794c416890469be0f5220b8b0b4f9ae1a2221fb45

Available diffs

View changes file

Binary packages built by this source

linux-euclid-headers-4.4.0-9029: Header files related to Linux kernel version 4.4.0

 This package provides kernel header files for version 4.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-euclid-headers-4.4.0-9029/debian.README.gz for details

linux-euclid-tools-4.4.0-9029: Linux kernel version specific tools for version 4.4.0-9029

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-9029 on
 64 bit x86.
 You probably want to install linux-tools-4.4.0-9029-<flavour>.

linux-euclid-tools-4.4.0-9029-dbgsym: debug symbols for package linux-euclid-tools-4.4.0-9029

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-9029 on
 64 bit x86.
 You probably want to install linux-tools-4.4.0-9029-<flavour>.

linux-headers-4.4.0-9029-euclid: Linux kernel headers for version 4.4.0 on 64 bit x86 SMP

 This package provides kernel header files for version 4.4.0 on
 64 bit x86 SMP.
 .
 This is for sites that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-4.4.0-9029/debian.README.gz for details.

linux-image-4.4.0-9029-euclid: Linux kernel image for version 4.4.0 on 64 bit x86 SMP

 This package contains the Linux kernel image for version 4.4.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports CS1Plus processors.
 .
 To be used with CS1+ board.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-euclid meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-image-4.4.0-9029-euclid-dbgsym: Linux kernel debug image for version 4.4.0 on 64 bit x86 SMP

 This package provides a kernel debug image for version 4.4.0 on
 64 bit x86 SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

linux-image-extra-4.4.0-9029-euclid: Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP

 This package contains the Linux kernel extra modules for version 4.4.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports CS1Plus processors.
 .
 To be used with CS1+ board.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-euclid meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-tools-4.4.0-9029-euclid: Linux kernel version specific tools for version 4.4.0-9029

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-9029 on
 64 bit x86.